Skip to content

debug_node_api.debug_pop_block ​

disabled

Defined in the steem source (52dcfabb); the debug_node plugin is not enabled on public nodes.

Purpose ​

Pop a block from the blockchain, returning it.

Parameters ​

PARAMETERS
json
{}

⚠ Defined in the steem source, but not enabled on public nodes.

Example ​

BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "debug_node_api.debug_pop_block",
    "params": {},
    "id": 1
  }'

Response ​

RESPONSE
json
{}